Bug 1025711 - [ALL_INDIC] Improper rendering when user enters input(INDIC) in search box in libre office applications.
[ALL_INDIC] Improper rendering when user enters input(INDIC) in search box in...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 07:06 EDT by Bhushan Barve
Modified: 2015-06-29 08:46 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:46:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mr_IN text in search box rendering in ooimpress. (137.52 KB, image/png)
2013-11-01 07:10 EDT, Bhushan Barve
no flags Details
mr_IN text in search box rendering in oowriter. (78.91 KB, image/png)
2013-11-01 07:11 EDT, Bhushan Barve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 72641 None None None Never

  None (edit)
Description Bhushan Barve 2013-11-01 07:06:20 EDT
Description of problem:
When user enters marathi input in search box in libre office applications like oowriter, oocalc, the rendering of the same is improper.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.select input language as marathi.
2.open oowriter
3.enter marathi input in search box
4.observe the rendering of marathi input.

Actual results:
marathi input rendering is improper.

Expected results:
marathi input rendering should be proper.

Additional info:
Comment 1 Bhushan Barve 2013-11-01 07:10:13 EDT
Created attachment 818251 [details]
mr_IN text in search box rendering in ooimpress.
Comment 2 Bhushan Barve 2013-11-01 07:11:24 EDT
Created attachment 818252 [details]
mr_IN text in search box rendering in oowriter.
Comment 3 Pravin Satpute 2013-11-05 23:47:10 EST
Bhushan thanks for the bug report.

While testing it looks issue more from libreoffice side. 

Issue looks more like input text is appears like broken. The search area is not getting refreshed properly. If i do try to select search text again it appears properly.
Comment 4 Pravin Satpute 2013-12-11 01:30:49 EST
Added Khaled to bug list. 
Bhushan can you report this to upstream as well @https://bugs.freedesktop.org/enter_bug.cgi?product=LibreOffice&bug_status=UNCONFIRMED?
Comment 7 Fedora End Of Life 2015-05-29 05:40:15 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Pravin Satpute 2015-06-01 07:30:52 EDT
Tested on libreoffice-writer-4.4.3.2-4.fc22.x86_64

I see its working for valid input.  
Whenever we enter some incorrect matras its not working.
Comment 9 Fedora End Of Life 2015-06-29 08:46:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.